SAS® 9.2 Support for Java Runtime Environments

This page describes the minimum version requirements of Java Runtime Environments (JRE) for use with SAS 9.2. It is possible to use updated versions of the third party software listed below. See SAS Third-Party Software Requirements - Baseline and Higher Support for more details.

Java Runtime Environments for SAS® 9.2 Foundation and SAS® Client Applications

SAS 9.2 Foundation and some SAS 9.2 client applications require the use of a Java Runtime Environment (JRE). These JRE are provided by Sun Microsystems, IBM, Oracle, and HP. The following table lists the versions of the JRE that are recommended for use with SAS 9.2 and that will be installed by the SAS® Deployment Wizard, depending on the platform where the installation is occurring. The JRE can also be obtained directly from the vendors listed in the table.

Please read the following instructions if an alternative JRE or JDK is intended for use after SAS 9.2 has been installed and configured.

Application servers and servlet engines require a full Java Software Development Kit (JDK). See the list of Java Development Kits required by supported application servers.

Platform Version Vendor Download CD Notes
HP-UX PA-RISC 5.0.08 HP Not Available  
6.0.02 HP Not Available  
HP-UX Itanium 5.0.08 HP Not Available  
6.0.02 HP Not Available  
OpenVMS Itanium 5.0-2 HP Not Available  
6.0-1 HP Not Available  
Linux
32-bit on x86
Java 5 Update 14 Sun Not Available  
Java 6 Update 14 Sun Not Available  
Linux
64-bit x86-64
Java 5 Update 14 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Linux Platform". Sun also provides a JRE which is labeled for Linux on AMD64 / EM64T architecture, but this is 64-bit and NOT supported for SAS® 9.2
Java 6 Update 14 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Linux Platform". Sun also provides a JRE which is labeled for Linux on AMD64 / EM64T architecture, but this is 64-bit and NOT supported for SAS® 9.2
z/OS Java 5 31-bit SDK IBM Not Available Cannot be redistributed due to licensing restrictions. The 31-bit Java 5 SDK is required.
Java 6 31-bit SDK IBM Not Available Cannot be redistributed due to licensing restrictions. The 31-bit Java 6 SDK is required.
AIX

Java 5 SR5, 5.0.0.125 fileset, pap32dev-20070511

IBM Not Available The 32-bit JRE is required
Please see the IBM Developer Kit FAQ for further details.

Java 6 SR3, 6.0.0.75 fileset, pap3260sr3-20081106_07

IBM Not Available The 32-bit JRE is required
Please see the IBM Developer Kit FAQ for further details.
Solaris
64-bit on SPARC
Java 5 Update 12 Sun Not Available The supported JRE is 32-bit.
Java 6 Update 14 Sun Not Available The supported JRE is 32-bit.
Solaris
64-bit on x86-64
Java 5 Update 12 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Solaris x86 Platform". Sun also provides a JRE which is labeled for Solaris on AMD64 / EM64T architecture, but this is 64-bit and NOT supported for SAS® 9.2
Java 6 Update 14 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Solaris x86 Platform". Sun also provides a JRE which is labeled for Solaris on AMD64 / EM64T architecture, but this is 64-bit and NOT supported.
Windows
32-bit on x86
Java 5 Update 12 Sun Not Available  
Java 6 Update 14 Sun Not Available  
Windows
64-bit on Itanium
1.5.0_08 (5.0 R27.1) Contact Oracle Not Available  
Java 6 Update 12 Sun Not Available  
Windows
64-bit on x86-64
Java 5 Update 12 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Windows Platform". Sun also provides a JRE which is labeled for Windows on AMD64 / EM64T architecture, but this is 64-bit and NOT supported for SAS® 9.2
Java 6 Update 14 Sun Not Available The supported JRE is 32-bit. This is labeled by Sun as "Windows Platform". Sun also provides a JRE which is labeled for Windows on AMD64 / EM64T architecture, but this is 64-bit and NOT supported.